DUMPASN1(1)

NAME
dumpasn1 - ASN.1 object dump/syntax check program

SYNOPSIS
dumpasn1 [-acdefghilmoprstuvwxz] <file>

DESCRIPTION
An ASN.1 object dump program which will dump data encoded using any of the ASN.1 encoding rules in a variety of user-specified formats.

DumpASN1 - ASN.1 object dump/syntax check program. Copyright Peter Gutmann 1997 - 2021. Last updated 12 February 2021.

    Input options:

    - = Take input from stdin (some options may not work properly) -<number> = Start <number> bytes into the file -- = End of arg list -c<file> = Read Object Identifier info from alternate config file

    (values will override equivalents in global config file)

    Output options:

-f<file> = Dump object at offset -<number> to file (allows data to be

    extracted from encapsulating objects)

-w<number> = Set width of output, default = 80 columns

    Display options:

-a = Print all data in long data blocks, not just the first 128 bytes

-d = Print dots to show column alignment

-g = Display ASN.1 structure outline only (no primitive objects)

-h = Hex dump object header (tag+length) before the decoded output

-hh = Same as -h but display more of the object as hex data

-i = Use shallow indenting, for deeply-nested objects

-l = Long format, display extra info about Object Identifiers

-m<number>
    = Maximum nesting level for which to display content

-p = Pure ASN.1 output without encoding information

-t = Display text values next to hex dump of data

-v = Verbose mode, equivalent to -ahlt

    Format options:

-e = Don't print encapsulated data inside OCTET/BIT STRINGs

-r = Print bits in BIT STRING as encoded in reverse order

-u = Don't format UTCTime/GeneralizedTime string data

-x = Display size and offset in hex not decimal

    Checking options:

-o = Don't check validity of character strings hidden in octet strings

-s = Syntax check only, don't dump ASN.1 structures

-z = Allow zero-length items

Warnings generated by deprecated OIDs require the use of '-l' to be displayed. Program return code is the number of errors found or EXIT_SUCCESS.

COMMENT
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.

FILES
$HOME/.dumpasn1.cfg, /etc/dumpasn1/dumpasn1.cfg:

This is the configuration file, it will be searched in this order. It contains OIDs commonly used.

AUTHOR
quote from Peter Gutmann:

ASN.1 object dumping code, copyright Peter Gutmann <pgut001@cs.auckland.ac.nz>, based on ASN.1 dump program by David Kemp <dpkemp@missi.ncsc.mil>, with contributions from various people including Matthew Hamrick <hamrick@rsa.com>, Bruno Couillard <bcouillard@chrysalis-its.com>, Hallvard Furuseth <h.b.furuseth@usit.uio.no>, Geoff Thorpe <geoff@raas.co.nz>, David Boyce <d.boyce@isode.com>, John Hughes <john.hughes@entegrity.com>, Life is hard, and then you die <ronald@trustpoint.com>, Hans-Olof Hermansson <hans-olof.hermansson@postnet.se>, Tor Rustad <Tor.Rustad@bbs.no>, Kjetil Barvik <kjetil.barvik@bbs.no>, James Sweeny <jsweeny@us.ibm.com>, and several other people whose names I've misplaced.

dumpasn1 is available at https://www.cs.auckland.ac.nz/~pgut001/

COPYRIGHT
Copyright Peter Gutmann 1997 - 2016. Last updated 22 October 2019.